PUT /accounts/profile
ユーザーがプロフィール情報を更新できます。リクエストボディ
string
新しい名(1〜50 文字)。
string
新しい姓(1〜50 文字)。
string
新しい会社名(最大 100 文字)。
レスポンス
boolean
更新が成功したかどうか。
string
ステータスメッセージ。
object
更新後のアカウント詳細。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"company": "New Company Inc"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: 'Jane',
company: 'New Company Inc'
})
}
);
{
"success": true,
"message": "Profile updated successfully",
"account": {
"id": "user_abc123def456",
"firstName": "Jane",
"lastName": "Doe",
"company": "New Company Inc",
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "Validation error: First name must be at least 1 character"
}
認証済みユーザーのプロフィールを更新するエンドポイントです。
curl -X PUT https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"company": "New Company Inc"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: 'Jane',
company: 'New Company Inc'
})
}
);
{
"success": true,
"message": "Profile updated successfully",
"account": {
"id": "user_abc123def456",
"firstName": "Jane",
"lastName": "Doe",
"company": "New Company Inc",
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "Validation error: First name must be at least 1 character"
}
このページは役に立ちましたか?